3 Replies Latest reply: Oct 20, 2012 3:31 AM by Udo RSS

    Restful Services and Apex

    MSK
      Do I need to install apex listener in order to use the Restful Services.
      We are on apex 4.1 and use modplsql apex.
      Do I need to also install apex listener in order to use the restful services or would it be just enougt to patch 4.1 to 4.1.1 and I can continue to use apex 4.1.1 with modplsql.

      Thank you
      Kumar
        • 1. Re: Restful Services and Apex
          816944
          Hi Kumar,

          Restful Services are a feature of the apex listener, not apex.
          You require an apex listener installation.
          • 2. Re: Restful Services and Apex
            MSK
            Thank you for clarification.
            But just installing apex listener without apex 4.1.1 or 4.2 does not seem to work.
            I have apex 4.1 and I installed apex listener (1.4) and I cannot see the restful services icon when I login.
            • 3. Re: Restful Services and Apex
              Udo
              Hi Kumar,

              APEX Listener 1.1 (including your 1.1.4 installation) has a different implementation for RESTful webservices. You can access the configuration using APEX Listener's own configuration ("/listenerAdmin").
              The new APEX-integrated RESTful implementation is provided with the new APEX Listener 2, which is still in Early Adpoters phase. It comes with a patch for APEX 4.1 to make 4.1 capable of using it as well. See the installation guide for the current EA release for details.
              Since APEX 4.2 has been released now, I'd recommend to upgrade to this release instead of patching 4.1 if you don't have anything that would stop you from upgrading. And I expect APEX Listener 2 to be released soon as well, eventhough there hasn't been an official announcement yet.

              -Udo